Make WordPress Core

Opened 2 weeks ago

Closed 6 days ago

Last modified 5 days ago

#61582 closed defect (bug) (worksforme)

Cannot Insert Images in WordPress 6.5.5

Reported by: derekpadula's profile derekpadula Owned by:
Milestone: Awaiting Review Priority: normal
Severity: normal Version: 6.5.5
Component: General Keywords: needs-testing needs-testing-info
Focuses: Cc:

Description

After upgrading WordPress 6.5.4 to 6.5.5, I was unable to insert images into a post. After uploading and selecting an image and clicking insert, the media window exits and then nothing occurs. There are no PHP errors, and no debug errors when debug is set to true. No information of any kind is provided. Everything else works fine.

I ran the Health Check and passed all of the tests.

I updated PHP to the latest version of 8.3. And I confirmed that imagick was installed.

I entered Troubleshoot mode, disabled all the plugins, and reverted to the Twenty Seventeen theme.

Nothing worked. I tried everything I could think of for two weeks. The only solution was to rollback to a previous version of WordPress. I did this by replacing all of the files with 6.5.3, and then I could insert images again.

After confirming that 6.5.3 solved the problem, I replaced the site's files again with 6.5.4 and confirmed that it also worked here. Only 6.5.5 is the problem. So, one of the edits that was made here is the culprit.

Perhaps of note, I use the Classic Editor on a non-block-based theme. But even when I disabled all plugins and tried the Twenty Twenty-Four theme with the default Gutenberg editor, it still didn't work. Block editor or not, images could not be inserted.

---SITE INFO--- (with personal info redacted)

`
### wp-core ###

version: 6.5.4
site_language: en_US
user_language: en_US
timezone: America/Detroit
permalink: /blog/%category%/%postname%/
https_status: true
multisite: false
user_registration: 0
blog_public: 1
default_comment_status: open
environment_type: production
user_count: 4
dotorg_communication: true

### wp-paths-sizes ###

wordpress_path: /home/websitename/public_html
wordpress_size: 9.11 GB (9779334264 bytes)
uploads_path: /home/websitename/public_html/wp-content/uploads
uploads_size: 6.88 GB (7386857822 bytes)
themes_path: /home/websitename/public_html/wp-content/themes
themes_size: 79.52 MB (83382049 bytes)
plugins_path: /home/websitename/public_html/wp-content/plugins
plugins_size: 365.38 MB (383130277 bytes)
database_size: 207.08 MB (217137152 bytes)
total_size: 16.62 GB (17849841564 bytes)

### wp-dropins (1) ###

db.php: true

### wp-active-theme ###

name: websitename theme
version: 1.0
author: me
author_website: https://websitename.com
parent_theme: none
theme_features: core-block-patterns, widgets-block-editor, post-thumbnails, automatic-feed-links, woocommerce, title-tag, custom-header, widgets
theme_path: /home/websitename/public_html/wp-content/themes/themename
auto_update: Disabled

### wp-themes-inactive (6) ###

websitename custom theme: version: 1.0.2, author: me, Auto-updates disabled
Pro: version: 6.4.19, author: Themeco, Auto-updates disabled
Twenty Seventeen: version: 3.6, author: the WordPress team, Auto-updates disabled
Twenty Twenty-Four: version: 1.1, author: the WordPress team, Auto-updates disabled
Twenty Twenty-Three: version: 1.4, author: the WordPress team, Auto-updates disabled
Twenty Twenty-Two: version: 1.7, author: the WordPress team, Auto-updates enabled

### wp-mu-plugins (2) ###

Health Check Troubleshooting Mode: author: (undefined), version: 1.9.1
WP Staging Optimizer: version: 1.2, author: René Hermenau

### wp-plugins-active (36) ###

Akismet Anti-spam: Spam Protection: version: 5.3.2, author: Automattic - Anti-spam Team, Auto-updates disabled
All-in-One Video Gallery: version: 3.7.1, author: Team Plugins360, Auto-updates disabled
Check & Log Email: version: 1.0.13.1, author: checkemail, Auto-updates disabled
Classic Editor: version: 1.6.3, author: WordPress Contributors, Auto-updates disabled
Converter for Media: version: 5.13.0, author: matt plugins - Optimize images by convert WebP & AVIF, Auto-updates disabled
Disqus Conditional Load: version: 11.1.2, author: Joel James, Auto-updates disabled
Disqus for WordPress: version: 3.1.1, author: Disqus, Auto-updates disabled
Easy Digital Downloads: version: 3.2.12, author: Easy Digital Downloads, Auto-updates disabled
Everest Backup: version: 2.2.9, author: everestthemes, Auto-updates disabled
Everest Backup AWS Amazon S3: version: 2.0.0, author: everestthemes, Auto-updates disabled
Everest Backup pCloud: version: 1.1.0, author: everestthemes, Auto-updates disabled
Everest Backup Pro: author: (undefined), version: 1.0.7, Auto-updates disabled
Everest Backup Unlimited: version: 1.0.4, author: everestthemes, Auto-updates disabled
Ezoic: version: 2.11.0, author: Ezoic Inc., Auto-updates disabled
FileBird Pro: version: 6.3.3, author: Ninja Team, Auto-updates disabled
FitVids for WordPress: version: 3.0.13, author: Kevin Dees, Auto-updates disabled
Gravitec.net - Web Push Notifications: version: 2.9.6, author: Gravitec.net, Auto-updates disabled
Guest Author: version: 2.5, author: WebFactory Ltd, Auto-updates disabled
Health Check & Troubleshooting: version: 1.7.0, author: The WordPress.org community, Auto-updates disabled
Hide My WP Ghost: version: 8.0.06, author: WPPlugins, Auto-updates disabled
Hide My WP Ghost - Advanced Pack: version: 1.3.3, author: WPPlugins, Auto-updates disabled
Ninja Forms: version: 3.8.5, author: Saturday Drive, Auto-updates disabled
Partnero: version: 1.3.4, author: Partnero, Auto-updates disabled
Payment Plugins for PayPal WooCommerce: version: 1.0.48, author: Payment Plugins, support@…, Auto-updates disabled
Payment Plugins for Stripe WooCommerce: version: 3.3.73, author: Payment Plugins, support@…, Auto-updates disabled
Query Monitor: version: 3.16.3, author: John Blackbourn, Auto-updates disabled
Redirection: version: 5.4.2, author: John Godley, Auto-updates disabled
Sequential Order Numbers for WooCommerce: version: 1.6.3, author: WebToffee, Auto-updates disabled
Squirrly SEO (Newton): version: 12.3.19, author: Squirrly, Auto-updates disabled
Webcomic: version: 5.0.8, author: Michael Sisk, Auto-updates disabled
WooCommerce: version: 9.0.2, author: Automattic, Auto-updates disabled
WooCommerce USPS Shipping: version: 4.8.6, author: WooCommerce (latest version: 4.9.1), Auto-updates disabled
Wordfence Security: version: 7.11.6, author: Wordfence, Auto-updates disabled
WP-Paginate: version: 2.2.2, author: Max Foundry, Auto-updates disabled
WP Downgrade | Specific Core Version: version: 1.2.6, author: Reisetiger, Auto-updates disabled
WP Mail SMTP: version: 4.0.1, author: WP Mail SMTP, Auto-updates disabled

### wp-plugins-inactive (18) ###

AppMySite: version: 3.12.0, author: AppMySite, Auto-updates disabled
Dao Transcriptions: version: 1.0.0, author: Pixel Devs, Auto-updates disabled
Fluid Checkout for WooCommerce - Lite: version: 3.1.11, author: Fluid Checkout, Auto-updates disabled
Human Presence: version: 3.4.51, author: Human Presence Technology, Auto-updates disabled
iubenda | All-in-one Compliance for GDPR / CCPA Cookie Consent + more: version: 3.10.6, author: iubenda, Auto-updates disabled
Maintenance: version: 4.12, author: WebFactory Ltd, Auto-updates disabled
Nginx Cache: version: 1.0.5, author: Till Krüss, Auto-updates disabled
Plerdy: version: 1.3.7, author: Plerdy, Auto-updates disabled
Public Post Preview: version: 2.10.0, author: Dominik Schilling, Auto-updates disabled
Redis Object Cache: version: 2.5.2, author: Till Krüss, Auto-updates disabled
Spectra: version: 2.13.9, author: Brainstorm Force, Auto-updates disabled
TaxoPress: version: 3.21.1, author: TaxoPress, Auto-updates disabled
uSchema - Ultimate Schema for WordPress: version: 3.2.0, author: BooSpot, Auto-updates disabled
Website Analysis Ultimate Plugin by SQUIRRLY™: version: 2.0.4, author: Nagy Paul Sorel, Calin Vingan, Auto-updates disabled
WooCommerce Shipping & Tax: version: 2.6.1, author: WooCommerce, Auto-updates disabled
wpDiscuz: version: 7.6.21, author: gVectors Team, Auto-updates disabled
WP Links: version: 5.11, author: LintedCode LLC, Auto-updates disabled
WP Reset PRO: version: 6.15, author: WebFactory Ltd, Auto-updates enabled

### wp-media ###

image_editor: WP_Image_Editor_Imagick
imagick_module_version: 1691
imagemagick_version: ImageMagick 6.9.11-60 Q16 x86_64 2021-01-25 https://imagemagick.org
imagick_version: 3.7.0
file_uploads: 1
post_max_size: 256M
upload_max_filesize: 512M
max_effective_size: 256 MB
max_file_uploads: 40
imagick_limits:

imagick::RESOURCETYPE_AREA: 122 MB
imagick::RESOURCETYPE_DISK: 1073741824
imagick::RESOURCETYPE_FILE: 768
imagick::RESOURCETYPE_MAP: 512 MB
imagick::RESOURCETYPE_MEMORY: 256 MB
imagick::RESOURCETYPE_THREAD: 1
imagick::RESOURCETYPE_TIME: 9.2233720368548E+18

imagemagick_file_formats: 3FR, 3G2, 3GP, AAI, AI, APNG, ART, ARW, AVI, AVIF, AVS, BGR, BGRA, BGRO, BIE, BMP, BMP2, BMP3, BRF, CAL, CALS, CANVAS, CAPTION, CIN, CIP, CLIP, CMYK, CMYKA, CR2, CR3, CRW, CUR, CUT, DATA, DCM, DCR, DCX, DDS, DFONT, DJVU, DNG, DOT, DPX, DXT1, DXT5, EPDF, EPI, EPS, EPS2, EPS3, EPSF, EPSI, EPT, EPT2, EPT3, ERF, EXR, FAX, FILE, FITS, FRACTAL, FTP, FTS, G3, G4, GIF, GIF87, GRADIENT, GRAY, GRAYA, GROUP4, GV, H, HALD, HDR, HEIC, HISTOGRAM, HRZ, HTM, HTML, HTTP, HTTPS, ICB, ICO, ICON, IIQ, INFO, INLINE, IPL, ISOBRL, ISOBRL6, J2C, J2K, JBG, JBIG, JNG, JNX, JP2, JPC, JPE, JPEG, JPG, JPM, JPS, JPT, JSON, K25, KDC, LABEL, M2V, M4V, MAC, MAGICK, MAP, MASK, MAT, MATTE, MEF, MIFF, MKV, MNG, MONO, MOV, MP4, MPC, MPG, MRW, MSL, MSVG, MTV, MVG, NEF, NRW, NULL, ORF, OTB, OTF, PAL, PALM, PAM, PANGO, PATTERN, PBM, PCD, PCDS, PCL, PCT, PCX, PDB, PDF, PDFA, PEF, PES, PFA, PFB, PFM, PGM, PGX, PICON, PICT, PIX, PJPEG, PLASMA, PNG, PNG00, PNG24, PNG32, PNG48, PNG64, PNG8, PNM, POCKETMOD, PPM, PREVIEW, PS, PS2, PS3, PSB, PSD, PTIF, PWP, RADIAL-GRADIENT, RAF, RAS, RAW, RGB, RGBA, RGBO, RGF, RLA, RLE, RMF, RW2, SCR, SCT, SFW, SGI, SHTML, SIX, SIXEL, SPARSE-COLOR, SR2, SRF, STEGANO, SUN, SVG, SVGZ, TEXT, TGA, THUMBNAIL, TIFF, TIFF64, TILE, TIM, TTC, TTF, TXT, UBRL, UBRL6, UIL, UYVY, VDA, VICAR, VID, VIDEO, VIFF, VIPS, VST, WBMP, WEBM, WEBP, WMF, WMV, WMZ, WPG, X, X3F, XBM, XC, XCF, XPM, XPS, XV, XWD, YCbCr, YCbCrA, YUV
gd_version: 2.3.3
gd_formats: GIF, JPEG, PNG, WebP, BMP, AVIF, XPM
ghostscript_version: 9.55.0

### wp-server ###

server_architecture: Linux 5.15.0-113-generic x86_64
httpd_software: nginx
php_version: 8.3.9 64bit
php_sapi: fpm-fcgi
max_input_variables: 1000
time_limit: 30
memory_limit: 512M
admin_memory_limit: 768M
max_input_time: 60
upload_max_filesize: 512M
php_post_max_size: 256M
curl_version: 7.81.0 OpenSSL/3.0.2
suhosin: false
imagick_availability: true
pretty_permalinks: true
htaccess_extra_rules: true
current: 2024-07-06T15:15:57+00:00
utc-time: Saturday, 06-Jul-24 15:15:57 UTC
server-time: 2024-07-06T11:15:56-04:00

### wp-database ###

extension: mysqli
server_version: 10.6.18-MariaDB-0ubuntu0.22.04.1
client_version: mysqlnd 8.3.9
max_allowed_packet: 67108864
max_connections: 151

### wp-constants ###

WP_HOME: https://websitename.com
WP_SITEURL: https://websitename.com
WP_CONTENT_DIR: /home/websitename/public_html/wp-content
WP_PLUGIN_DIR: /home/websitename/public_html/wp-content/plugins
WP_MEMORY_LIMIT: 512M
WP_MAX_MEMORY_LIMIT: 768M
WP_DEBUG: false
WP_DEBUG_DISPLAY: false
WP_DEBUG_LOG: false
SCRIPT_DEBUG: false
WP_CACHE: false
CONCATENATE_SCRIPTS: undefined
COMPRESS_SCRIPTS: undefined
COMPRESS_CSS: undefined
WP_ENVIRONMENT_TYPE: Undefined
WP_DEVELOPMENT_MODE: false
DB_CHARSET: utf8mb4
DB_COLLATE: undefined

### wp-filesystem ###

wordpress: writable
wp-content: writable
uploads: writable
plugins: writable
themes: writable
mu-plugins: writable

### wp_mail_smtp ###

version: 4.0.1
license_key_type: lite
debug: No debug notices found.
lite_install_date: Jun 10, 2022 @ 4:21am

### edd_general ###

version: 3.2.12
edd_timezone: EDT
upgraded: 3.2.11
edd_is_pro: Disabled
edd_activated: 2012-12-25
edd_pro_activated: n/a
edd_pass: Missing
edd_test_mode: Disabled
edd_ajax: Enabled
edd_guest_checkout: Enabled
symlinks: Disabled
download_method: Direct
currency_code: USD
currency_position: before
decimal_separator: .
thousands_separator: ,
completed_upgrades: upgrade_payment_taxes, upgrade_customer_payments_association, upgrade_user_api_keys, remove_refunded_sale_logs, update_file_download_log_data, stripe_customer_id_migration, migrate_tax_rates, migrate_discounts, migrate_orders, migrate_customer_addresses, migrate_customer_email_addresses, migrate_customer_notes, migrate_logs, migrate_order_notes, v30_legacy_data_removed, migrate_order_actions_date, discounts_start_end
download_link_expiration: 72 hour(s)
rest_enabled: Accessible
paypal_rest_available: Accessible

### edd_tables ###

default: Version / Count
customers: 202303220 / 373
customermeta: 201807111 / 0
customer_addresses: 202004051 / 0
customer_email_addresses: 202002141 / 386
adjustments: 202307311 / 9
adjustmentmeta: 201806142 / 20
notes: 202002141 / 910
notemeta: 201805221 / 192
orders: 202307111 / 537
ordermeta: 201805221 / 106
order_items: 202110141 / 656
order_itemmeta: 201805221 / 0
order_adjustments: 202105221 / 44
order_adjustmentmeta: 201805221 / 9
order_addresses: 202002141 / 0
order_transactions: 202205241 / 323
logs: 202002141 / 5
logmeta: 201805221 / 0
logs_api_requests: 202002141 / 41
logs_api_requestmeta: 201907291 / 0
logs_file_downloads: 202002141 / 1295
logs_file_downloadmeta: 201907291 / 63
notifications: 202303220 / 23

### edd_pages ###

checkout: Valid
checkout_uri: https://websitename.com/checkout/
confirmation_uri: false
success_uri: https://websitename.com/purchase-confirmation/
failure_uri: https://websitename.com/checkout/transaction-failed/
order_history_uri: https://websitename.com/checkout/purchase-history/
login_uri: false
login_redirect_uri: false
downloads_slug: /downloads

### edd_templates ###

empty: No custom templates found.

### edd_gateways ###

paypal: Active (Default)
stripe: Active
amazon: Inactive
paypal_commerce: Inactive
manual: Inactive

### edd_stripe ###

connect: Connected
mode: Payment Elements
preapproved_payments: Disabled
assets: Limited
connect_status: License Data Missing

### edd_taxes ###

taxes_enabled: Disabled
default_rate: 0%
display_on_checkout: Displayed
prices_include_tax: No

### edd_sessions ###

edd_use_sessions: Enabled
session_enabled: Disabled

`

Change History (23)

#1 follow-up: @poena
2 weeks ago

  • Keywords needs-testing added

Thank you for the detailed report @derekpadula.
I have not been able to reproduce this using Twenty Twenty-Four on 6.5.5 or 6.6 RC2. I used Windows 11 and "Local" for testing, PHP version 8.1.23.

#2 @derekpadula
2 weeks ago

I see. What would you recommend for a next step in this situation?

I'd be happy to provide access to my site so that you can follow the steps I described above and see the issue for yourself.

This could be caused by my particular setup of Nginx and Virtualmin on a VPS. Although I don't understand why 6.5.4 works, while 6.5.5 does not.

One of the primary problems here is that no error information is provided. If nothing else, I'd like your team to add an upgrade to WordPress so that it shows an error in this situation. This could help point to the underlying problem.

I searched online for this issue, and it has persisted since WordPress 3.0, and people have been complaining about it for a long time. If you search for "WordPress cannot insert images -upload" you'll see examples of prior bug reports and articles on how to resolve the problem. But none of those articles worked for me, and none of the people who work on WordPress provided any solutions. This is what drove me to write this bug report.

One possible path to finding the underlying issue would be to upload one directory of 6.5.5 at a time, and keep testing the insert image function, to find out what files are causing it to stop working. Then you or I could narrow it down.

This ticket was mentioned in Slack in #core-test by tatasha2004. View the logs.


2 weeks ago

#4 @Ankit K Gupta
2 weeks ago

  • Keywords needs-testing-info added

#5 @mi5t4n
2 weeks ago

@derekpadula Thank you for raising the ticket. From your report I can see you have a couple of active plugins, could you disable all the active plugins, use the default theme Twenty Twenty Four, and test the issue again?

#6 @derekpadula
12 days ago

I already did that test prior to reporting the bug, and I said so in my report. It didn't help. Even with Gutenberg and a block-based theme, I cannot insert images on 6.5.5.

Ankit, what are you looking for when you say "needs testing info"?

#7 @ken01102018
12 days ago

I have a similar issue. Immediately after WP 6.5.5 update, I insert images into a blog and those images show in the editor, but only a place holder shows in the Preview. When the blog is published, the images still do not show on my website, but the images are displayed in the automatically generated email to subscribers. I've been troubleshooting, trying various updates, deactivation of plugins, etc., but nothing has solved this issue.

#8 follow-up: @derekpadula
12 days ago

With further testing, it seems that the issue is with the WordPress updater inside the admin. When I update to 6.5.5 through there, I can no longer insert images. But when I download the 6.5.5 zip file from the WordPress site and then upload the root files, wp-admin, and wp-includes, I can still insert images.

So there's some type of error occurring with this updater and the files it's including, compared to doing it manually. Anyone have a guess what it could be?

Ken, you may want to try downloading 6.5.5 and upload it manually via FTP and see if this fixes your problem. Just remember to delete the wp-content file from the download before you upload anything. And of course make a backup of your files before you do this.

#9 in reply to: ↑ 8 @ken01102018
11 days ago

Replying to derekpadula: Thanks for this information. I tried this manual update, but it made no difference in my case. Maybe I did something wrong in the manual file uploads?

With further testing, it seems that the issue is with the WordPress updater inside the admin. When I update to 6.5.5 through there, I can no longer insert images. But when I download the 6.5.5 zip file from the WordPress site and then upload the root files, wp-admin, and wp-includes, I can still insert images.

So there's some type of error occurring with this updater and the files it's including, compared to doing it manually. Anyone have a guess what it could be?

Ken, you may want to try downloading 6.5.5 and upload it manually via FTP and see if this fixes your problem. Just remember to delete the wp-content file from the download before you upload anything. And of course make a backup of your files before you do this.

#10 follow-up: @derekpadula
11 days ago

Were you already at 6.5.5 when you uploaded the files manually? Try doing the same steps I described above with 6.5.4 and then see if this fixes images on the frontend. Or go even further back, to 6.5 or even 6.4. If it works, you'll have a place to test from with installing new versions.

https://wordpress.org/download/releases/

But be aware that WordPress will auto-update the core to the latest version after 30 minutes. So once you've found a working version you'll need to add this code to your wp-config file to stop it from auto-updating.

/* Turn off auto-updates for core WP files */
define( 'WP_AUTO_UPDATE_CORE', false );

Have you tried looking at your site in other browsers or devices? For example, if Chrome is your main browser, try Edge, Firefox, or Opera. Failing that, your phone or tablet, or friend's device. If the images on the frontend are visible, then the likely culprit is your browser cache.

If they're still not visible, then try clearing all forms of cache in your WordPress installation. Disable any caching plugins, and use cache clearing methods in the database, and then test in different browsers and devices again.

#11 in reply to: ↑ 10 @ken01102018
10 days ago

Replying to derekpadula:Yes, I already had WP 6.5.5. Since it is only three days until another scheduled WP version release, assuming it is on time, I'll wait for that, rather than spend any more time on this now. I simply don't have the time (nor the inclination) it takes to do this sort of background work. That is why I pay for products like WP. It is their job to make their software work as advertised. If WP can't provide a useable product, why should I continue paying for it? There are other choices. Yes, I know none might be perfect, but they all advertise their products as being for non computer nerds, like me, so if they want to keep my account, they have to provide a useable product that suits my needs. The current situation is that WP is not providing such a product.

While I do appreciate your help and suggestions, I find it unacceptable that an organization like WP seems to rely upon its users to solve its problems and/or to find work arounds for the problems it creates. While I know such forums are useful, it is always painful searching for help with a particular problem and often I find faster results via a google search, rather than a search on this forum.

Were you already at 6.5.5 when you uploaded the files manually? Try doing the same steps I described above with 6.5.4 and then see if this fixes images on the frontend. Or go even further back, to 6.5 or even 6.4. If it works, you'll have a place to test from with installing new versions.

https://wordpress.org/download/releases/

But be aware that WordPress will auto-update the core to the latest version after 30 minutes. So once you've found a working version you'll need to add this code to your wp-config file to stop it from auto-updating.

/* Turn off auto-updates for core WP files */
define( 'WP_AUTO_UPDATE_CORE', false );

Have you tried looking at your site in other browsers or devices? For example, if Chrome is your main browser, try Edge, Firefox, or Opera. Failing that, your phone or tablet, or friend's device. If the images on the frontend are visible, then the likely culprit is your browser cache.

If they're still not visible, then try clearing all forms of cache in your WordPress installation. Disable any caching plugins, and use cache clearing methods in the database, and then test in different browsers and devices again.

Last edited 10 days ago by ken01102018 (previous) (diff)

#12 in reply to: ↑ 1 @ken01102018
7 days ago

Replying to poena: Same problem. After following some of Derek's suggestions with no positive results, I waited for the update (today). The problem persists. My website is not functional with this bug. If this continues, I might as well abandon WordPress.

Ken

Thank you for the detailed report @derekpadula.
I have not been able to reproduce this using Twenty Twenty-Four on 6.5.5 or 6.6 RC2. I used Windows 11 and "Local" for testing, PHP version 8.1.23.

#13 follow-up: @derekpadula
7 days ago

You don't need to abandon WordPress. Since 6.5.4 and earlier were working for you, and your site's database and multimedia files are intact, your site should work again if you do this:

  • Delete the current wp-admin and wp-includes directories and root files (except wp-config.php).
  • Replace them with the default files from 6.5.4 or earlier from the WordPress releases archive.
  • Add the code I provided to your wp-config.php and it will stop the site from auto-updating.

Or start from scratch:

  • Backup your site by pulling down all of the files via FTP.
  • Delete the current site's files on your server.
  • Upload 6.5.4 or earlier.
  • Then upload your original wp-content folder and wp-config.php.

Either choice will take about 10 minutes.

Avoid updating your core files until one of the WordPress staff members or volunteers acknowledges here that this is a problem and works on a solution.

You won't notice a difference between 6.5.4 and future releases for a while to come. Despite their fancy marketing copy about each new release, pretty much everything stays the same.

If you don't know how to do that, or want someone to do it for you, then you can direct message me on social media @derekpadula and hire me to walk you through it or do it for you.

#14 in reply to: ↑ 13 @ken01102018
7 days ago

Replying to derekpadula: Derek, according to WP earlier versions of WP are not safe for security reasons. I have to admit that I've thought of doing exactly what you suggest, but what is the risk of using an unsafe version? I do not know. WP should make the latest version useable, if they want to have me continue to use their product. So far, I've seen no response from WP on this issue and it is not my job to make their software useable or safe. That responsibility resides with WP.

You don't need to abandon WordPress. Since 6.5.4 and earlier were working for you, and your site's database and multimedia files are intact, your site should work again if you do this:

  • Delete the current wp-admin and wp-includes directories and root files (except wp-config.php).
  • Replace them with the default files from 6.5.4 or earlier from the WordPress releases archive.
  • Add the code I provided to your wp-config.php and it will stop the site from auto-updating.

Or start from scratch:

  • Backup your site by pulling down all of the files via FTP.
  • Delete the current site's files on your server.
  • Upload 6.5.4 or earlier.
  • Then upload your original wp-content folder and wp-config.php.

Either choice will take about 10 minutes.

Avoid updating your core files until one of the WordPress staff members or volunteers acknowledges here that this is a problem and works on a solution.

You won't notice a difference between 6.5.4 and future releases for a while to come. Despite their fancy marketing copy about each new release, pretty much everything stays the same.

If you don't know how to do that, or want someone to do it for you, then you can direct message me on social media @derekpadula and hire me to walk you through it or do it for you.

#15 follow-up: @derekpadula
7 days ago

You can see the latest security updates here:

https://wordpress.org/news/category/security/

6.5.4 is 99.9% as safe as 6.5.5 and 6.6. There were no major security updates to prevent exploits or anything you need to be concerned about. Just some minor API-related issues that you're most-likely not using. And if you are still concerned, then use a free security plugin like WordFence.

I would suggest you change your mentality about WordPress. Aside from Jetpack and some other paid plugins, WordPress is free and open-source software. That means you have to do most of the work if something goes wrong. Even if you are paying for something, stuff still breaks or runs into conflicts with other stuff. So you either have to be patient as you wait for the developers to fix it, or you'll have to do the work to fix it yourself. And given that most of WordPress's developers are volunteers, you'll need to wait a long time for help. Until then, you can hire someone to fix it or teach yourself how to fix the problem by following guides and forums online.

If you don't like those choices, then you may want to build your site on a different platform and pay a retainer fee for maintenance. But I can tell you from experience that most of them are even crappier and more complicated, or they cost money, and even when you're paying for it, stuff breaks. There are agencies and industries built around every platform, because every platform sucks. We're still living in the Internet Stone Age and trying to make fire by hitting digital rocks together.

Nevertheless, different people prefer different platforms, so you may want to do some research and try a few out.

It doesn't seem like the developers are jumping on this issue, so those are your options.

#16 follow-up: @poena
6 days ago

I am a full time sponsored WordPress developer. Yes we do come in all shapes and sizes.

Please remember that these issues are public and open for anyone to comment on, hopefully needless to say but I would strongly recommend against offering anyone access to your site. If someone requests this information from you please do not give it to them.

I am still unable to reproduce. In addition to the previous tests I tested on two different Apache server setups and with PHP 8.3.8.

My recommendation would be to update to 6.6 and see if the issue is resolved, and share if you used the updater, automatic update, or manual replacement of the files.

Without locating the problem it is also difficult to add more error messages or improved tests.

#17 in reply to: ↑ 16 @ken01102018
6 days ago

Replying to poena: I updated to 6.6 yesterday, using the automatic updater. The problem persist. I've also tried several php versions, updating manually, etc. So far the problem persists. I'm not a computer nerd, even though I've worked with computers in some form or fashion since the 1960s and have a smattering of limited experience with various programming languages. The current status of computer coding is well beyond my desire to delve into. That is why I chose WP for my website. It was advertised as easily used by people like me. That is true, until something in the code gets broken, which seems to happen from time to time, especially around updates. I don't have the patience or time to spend trying to fix such problems. Which is why I'm coming to the point of seriously considering alternatives. I just began experimenting with Substack, which so far is much easier to use than WP for publishing an image rich photography blog, which is all I do. When images don't appear on a photo blog site, the site is useless. I don't maintain a fancy website with image galleries and I don't sell anything or allow ads on my blog. I just want images to be displayed in the blog.

I am a full time sponsored WordPress developer. Yes we do come in all shapes and sizes.

Please remember that these issues are public and open for anyone to comment on, hopefully needless to say but I would strongly recommend against offering anyone access to your site. If someone requests this information from you please do not give it to them.

I am still unable to reproduce. In addition to the previous tests I tested on two different Apache server setups and with PHP 8.3.8.

My recommendation would be to update to 6.6 and see if the issue is resolved, and share if you used the updater, automatic update, or manual replacement of the files.

Without locating the problem it is also difficult to add more error messages or improved tests.

#18 in reply to: ↑ 15 @ken01102018
6 days ago

Replying to derekpadula: You are correct about my options and I don't like any of the options. Sure I can with some effort go back to an older version of WP and disable the auto update, but that goes against everything computer people tell us about maintaining up to date software. Yet, I might give this a try, it just happens that I'm rather busy with other priorities and taking time do get into something I'm not really comfortable doing, with no assurance whatever I do will be successful, is a definite negative to putting in such effort.

I'm not a complete computer illiterate, having worked with computers in some form since my college days and I have some experience with some computer coding, but nothing in the most modern languages. Two of my sons are heavily into such, both working for Apple and both have extensive computer coding experience with many different languages, but they are not nearby and like me they have other priorities in life.

I have established a Substack account, which is free and very easy to use. I've published a couple of blogs there on a test basis, while my WP website is dysfunctional. I'm pleased so far and maybe I will migrate completely to Substack. The downside, is that I just paid for three years of web hosting, which I will probably have to eat with no benefit, other than to maintain the old site until my current paid up period ends. I can't predict the future of Substack, but I know it has been around for years. Who knows how Substack might evolve in the future. We will always have to deal with change and at some point, I might have to give up my blogging efforts, too.

I have had dealing with two web hosting sites and I agree that those can be frustrating, when needing support. I spent weeks working between two sites and with Jetpack to get my website migrated. That was a process that was supposed to be automatically taken care of, but the automatic process seemed to always fail. I think my original web host provider, which is well known and highly recommended, was purposely hindering the process in an effort to keep me and force me into an expensive upgrade, which they kept pushing, whenever I was chatting with their support people.

I do appreciate your help and suggestions,

Ken

You can see the latest security updates here:

https://wordpress.org/news/category/security/

6.5.4 is 99.9% as safe as 6.5.5 and 6.6. There were no major security updates to prevent exploits or anything you need to be concerned about. Just some minor API-related issues that you're most-likely not using. And if you are still concerned, then use a free security plugin like WordFence.

I would suggest you change your mentality about WordPress. Aside from Jetpack and some other paid plugins, WordPress is free and open-source software. That means you have to do most of the work if something goes wrong. Even if you are paying for something, stuff still breaks or runs into conflicts with other stuff. So you either have to be patient as you wait for the developers to fix it, or you'll have to do the work to fix it yourself. And given that most of WordPress's developers are volunteers, you'll need to wait a long time for help. Until then, you can hire someone to fix it or teach yourself how to fix the problem by following guides and forums online.

If you don't like those choices, then you may want to build your site on a different platform and pay a retainer fee for maintenance. But I can tell you from experience that most of them are even crappier and more complicated, or they cost money, and even when you're paying for it, stuff breaks. There are agencies and industries built around every platform, because every platform sucks. We're still living in the Internet Stone Age and trying to make fire by hitting digital rocks together.

Nevertheless, different people prefer different platforms, so you may want to do some research and try a few out.

It doesn't seem like the developers are jumping on this issue, so those are your options.

#19 follow-ups: @derekpadula
6 days ago

  • Resolution set to worksforme
  • Status changed from new to closed

I updated to 6.6 in the WP admin, and I am able to insert images, so the original issue is no longer present.

The issue was resolved when I manually uploaded the files from 6.5.4 and then 6.5.5 via FTP, and now seems to be okay when updating to 6.6 via the admin. I don't know why that is. The best I can figure is that it was a file permissions issue, or a web quota issue on my Nginx and Virtualmin VPS, which may have been resolved by changing the quota on my user and group from "1GB" to "Unlimited." In any case, I'm going to close this ticket as resolved (works for me).

Ken, you may want to ask one of your sons for help. Since it's a website and server, they can do it from anywhere. Give them your log-in info and it should only take them 10 minutes if they follow the steps I outlined above for reverting to 6.5.4.

Then, just don't update the core WordPress files. It's that simple.

  • You can still update plugins or add and remove them.

While it's bad advice in general to not update because of security concerns, in your case it won't matter much. You're not selling anything, aren't holding user info, and are only sharing photographs, so you don't have any major vulnerabilities. Instead, approach it like a large business where they lock themselves into a particular stack of software for a few years, and they only think about updates again at the end of those few years. Then you can focus on sharing your pictures and enjoying your site.

Have a good one.

Last edited 6 days ago by derekpadula (previous) (diff)

#20 in reply to: ↑ 19 @ken01102018
6 days ago

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to derekpadula: I manually installed WP 6.5.4, disabled the auto update, verified the WP version on my site and the problem persists. So it seems that something in the 6.5 update is still affecting my website. I think I will request a backup from Jetpack to a date before the 6.5 update and see what happens. If that fails. I think I'm done here.

I updated to 6.6 in the WP admin, and I am able to insert images, so the original issue is no longer present.

The issue was resolved when I manually uploaded the files from 6.5.4 and then 6.5.5 via FTP, and now seems to be okay when updating to 6.6 via the admin. I don't know why that is. The best I can figure is that it was a file permissions issue, or a web quota issue on my Nginx and Virtualmin VPS, which may have been resolved by changing the quota on my user and group from "1GB" to "Unlimited." In any case, I'm going to close this ticket as resolved (works for me).

Ken, you may want to ask one of your sons for help. Since it's a website and server, they can do it from anywhere. Give them your log-in info and it should only take them 10 minutes if they follow the steps I outlined above for reverting to 6.5.4.

Then, just don't update the core WordPress files. It's that simple.

  • You can still update plugins or add and remove them.

While it's bad advice in general to not update because of security concerns, in your case it won't matter much. You're not selling anything, aren't holding user info, and are only sharing photographs, so you don't have any major vulnerabilities. Instead, approach it like a large business where they lock themselves into a particular stack of software for a few years, and they only think about updates again at the end of those few years. Then you can focus on sharing your pictures and enjoying your site.

Have a good one.

#21 in reply to: ↑ 19 @ken01102018
6 days ago

Replying to derekpadula:Derek, I finally discovered the cause of my problem, quite by accident. After numerous manual updates, partial backups that did not cure the problem, I was about to give up. Then when looking at my media files, I noted that the most recent image uploads had the file type avif. Upon looking into this, I found that Apple's Safari does not support this Google Chrome promoted image file type. I had apparently decided to switch to this image type for some reason around the same time as WP updated to 6.5.5. So it was just a coincidence that my problem happened after that update. The avif images are said to be sharper and have better color rendition than webp, so maybe that is why I decided to try that file type output and I had forgotten about that change and even if I had remembered, I would probably not have made the connection just based upon the file type. The fact that all only the images uploaded after WP 6.5.5 were avif made me make that connection. I've deleted all of those image formats and reverted to webp format images and all is well. Lots of background work for what turned out to be a simple problem. So I falsely blamed WP, when it was a browser issue. I know you suggested trying different browsers, but I've had significant security issues with other browsers, especially Chrome, in the past, so I don't like to install any other browsers on my Mac machines. Sorry for all the hassle, but thanks again for your help.

I updated to 6.6 in the WP admin, and I am able to insert images, so the original issue is no longer present.

The issue was resolved when I manually uploaded the files from 6.5.4 and then 6.5.5 via FTP, and now seems to be okay when updating to 6.6 via the admin. I don't know why that is. The best I can figure is that it was a file permissions issue, or a web quota issue on my Nginx and Virtualmin VPS, which may have been resolved by changing the quota on my user and group from "1GB" to "Unlimited." In any case, I'm going to close this ticket as resolved (works for me).

Ken, you may want to ask one of your sons for help. Since it's a website and server, they can do it from anywhere. Give them your log-in info and it should only take them 10 minutes if they follow the steps I outlined above for reverting to 6.5.4.

Then, just don't update the core WordPress files. It's that simple.

  • You can still update plugins or add and remove them.

While it's bad advice in general to not update because of security concerns, in your case it won't matter much. You're not selling anything, aren't holding user info, and are only sharing photographs, so you don't have any major vulnerabilities. Instead, approach it like a large business where they lock themselves into a particular stack of software for a few years, and they only think about updates again at the end of those few years. Then you can focus on sharing your pictures and enjoying your site.

Have a good one.

#22 follow-up: @derekpadula
6 days ago

  • Resolution set to worksforme
  • Status changed from reopened to closed

I'm glad you were able to figure it out. Typical Apple problem, where their proprietary browser uses the OS settings instead of the browser settings, and the OS doesn't support AVIF. Seems like AVIF is supported in the latest OS version, if it's worth it to you to upgrade.

#23 in reply to: ↑ 22 @ken01102018
5 days ago

Replying to derekpadula:My MacBook Pro (about 7 years old) OS is no longer upgradeable. I'm stuck at Ventura for about a year or so. I'll eventually have to upgrade to a newer model. However, I still have a 2010 27 inch iMac (I really like that 27 inch monitor), which I seldom use now, but I keep it around because it is still compatible with an Epson Scanner, that I purchased at about the same time as my current laptop. When Apple went to 64 bit, that Epson scanner became incompatible with my MacBook Pro and Epson apparently will not upgrade to make it compatible. Similar story with a Brother laser printer/scanner/fax machine. While I can still print to the brother via my MacBook Pro, I can't use its scanner to scan a document or photo to a file, and Brother will not upgrade its software. I don't like this planned obsolescence in such expensive machines, so I hang on to those as long as they have some usefulness or I can find work arounds.

In defense of Apple, Google, like IE before, likes to create proprietary formats, then charge a big license fee to use that format. Often, those proprietary formats are not even blessed by any of the standard setting organizations. But Google Chrome is a popular browser, so it gets away with such actions.

I'm glad you were able to figure it out. Typical Apple problem, where their proprietary browser uses the OS settings instead of the browser settings, and the OS doesn't support AVIF. Seems like AVIF is supported in the latest OS version, if it's worth it to you to upgrade.

Note: See TracTickets for help on using tickets.